#pragma once
#include <ESPMegaPRO.h>

class Timer {
    public:
        void loop();
        Timer(uint8_t hour,uint8_t minute,void(*timer_callback)(), uint32_t fram_address);
        void set(uint8_t hour,uint8_t minute);
    private:
        uint8_t today;
        uint8_t timer_ran_today;
        uint8_t hr;
        uint8_t min;
        uint32_t fram_address;
        void (*timer_callback)();
};