#include <user_code.hpp>
int today = 0;
bool timer1_ran_today = false;
uint8_t timer1_hr = 0;
uint8_t timer1_min = 15;
uint8_t today = 0;

/*
This Code will run right after ESPMega PRO's
Peripheral Initialization Routine
*/
void user_pre_init()
{
    timer1_ran_today = ESPMega_FRAM.read8(15000);
    rtctime_t curtime = ESPMega_getTime();
    today = curtime.day;
}

/*
This code will run after every component is initialized
*/
void user_init()
{
}

/*
This code will run once every event loop
*/
void user_loop()
{
}

/*
This code will run when an input pin changed state
*/
void virtual_interrupt_user_callback(int pin, int state)
{
}

/*
This code will run every 15 seconds
*/
void timer_tick_callback()
{
    rtctime_t curtime = ESPMega_getTime();
    if(today!=curtime.day) {
        today=curtime.day;
        timer1_ran_today = false;
    }
    if (!timer1_ran_today && (timer1_hr < curtime.hours || (timer1_hr == curtime.hours && timer1_min <= curtime.minutes)))
    {
        timer1_ran_today = true;
        ESPMega_FRAM.write8(15000,timer1_ran_today);
        pwm_set_state(1,true);
        pwm_set_value(1,2000);
    }
}
